Ciao a tutti. Sono alle prime armicon il mondo Linix. Qualcuno potrebbe spiegarmi come installare 7 zip su ubuntu15.10? Non ho internet e non posso quindi scaricarlo da ubuntu software center. Grazie in anticipo.

chiesto 24 Mar '16, 14:59

scutariutudor's gravatar image

scutariutudor
1945


Suppongo che tu intenda il pacchetto p7zip. Se intendi altro, basta che modifichi la procedura che segue adattandola alle tue esigenze.

La procedura che segue presuppone che il computer su cui hai installato Ubuntu non sia mai stato collegato alla rete.
Se invece è stato collegato alla rete almeno una volta e hai dato sudo apt-get update, aggiungo un pezzo a fondo pagina.

  1. Vai su package.ubuntu.com e controlla quali sono le dipendenze del pacchetto, ad esempio qui sono

    • libc6 (>= 2.14) [amd64] o libc6 (>= 2.4) [i386]
    • libgcc1 (>= 1:4.1.1)
    • libstdc++6 (>= 4.1.1)
  2. Vai sul computer non connesso ad internet e controlla se questi pacchetti sono installati e a che versione, con

    apt-cache policy libc6 libgcc1 libstdc++6
    

    nel mio caso l'output è questo e quindi sono a posto con le versioni.

  3. scarica il pacchetto .deb dal sito di cui sopra ( packages.ubuntu.com ), copialo sul computer senza internet e installalo con doppio click o tramite terminale con

    dpkg -i /per/cor/so/nome_del_pacchetto.deb
    

Se ti mancasse qualche dipendenza o non ce l'avessi alla giusta versione, dovresti per ognuna di esse ripetere la procedura 1.-3 (cerchi sul sito, controlli le dipendenze, ecc ecc).


Se hai collegato il computer alla rete almeno una volta e gli hai fatto aggiornare le definizioni dei pacchetti con

sudo apt-get update

per sapere quali dipendenze ti mancano puoi utilizzare apt-get install con il parametro -s (simulazione), che ti dirà esattamente quali pacchetti prendere e da dove

apt-get install -s p7zip

risolvendoti il problema di dover cercare a mano le dipendenze che devi scaricare e installare.

coll. permanente

ha risposto 24 Mar '16, 15:46

dadexix86's gravatar image

dadexix86 ♦♦
16.9k716161

modificato 24 Mar '16, 15:48

Mi sono fermato alla procedura 3 perché non riesco a scaricarlo con quella formula. Ti riporto qui il risultato così da poter capire il problema: dpkg pRoblemi con le dipendenze impediscoo la configurazione di p7zip:i386

Problemi con le dipendenze - lasciato non configurato. Ora ti riporto i risultati della formula 2: Libc6 installato 2.21-0ubuntu4 Candidato 2.21-0ubuntu4

Libgcc1 installato 1:5.2.1-22ubuntu2 Candidato...

Libstdc++6 Installato 5.2.1-22ubuntu2 Candidato... Allora mi chiedo che cos'è che non va?!

(24 Mar '16, 16:56) scutariutudor scutariutudor's gravatar image

Anche quando cerco di installare con la formula apt-get install... mi scrive sempre pacchetto non trovato.. c'entra forse con intefnet o con le dipendenze?

(24 Mar '16, 17:02) scutariutudor scutariutudor's gravatar image

Metti per favore input e output completi su pastebin, poi metti qui il link così che possiamo capire meglio il problema.

(24 Mar '16, 19:00) dadexix86 ♦♦ dadexix86's gravatar image
La tua risposta
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×1,598
×30

domanda posta: 24 Mar '16, 14:59

domanda visualizzata: 536 volte

ultimo aggiornamento: 24 Mar '16, 19:00

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.